%define upstream_name    WWW-Robot
%define upstream_version 0.026

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Web traversal engine for robots & agents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::LinkExtor)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::File)
BuildRequires: perl(LWP::RobotUA)
BuildRequires: perl(URI::URL)
BuildArch: noarch

%description
This module implements a configurable web traversal engine, for a _robot_
or other web agent. Given an initial web page (_URL_), the Robot will get
the contents of that page, and extract all links on the page, adding them
to a list of URLs to visit.

Features of the Robot module include:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README ChangeLog
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.26.0-7.mga6
+ Revision: 1035821
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.26.0-6.mga6
+ Revision: 931600
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.26.0-5.mga5
+ Revision: 747866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.26.0-4.mga5
+ Revision: 686860
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.26.0-3.mga4
+ Revision: 515895
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.26.0-2.mga3
+ Revision: 374792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 20 2011 kharec <kharec> 0.26.0-1.mga2
+ Revision: 169986
- imported package perl-WWW-Robot


* Sun Nov 20 2011 cpan2dist 0.026-1mga
- initial mageia release, generated with cpan2dist
